www.webdeveloper.com
Results 1 to 3 of 3

Thread: Expander Plugin with Auto-Close

  1. #1
    Join Date
    Jun 2013
    Posts
    38

    Expander Plugin with Auto-Close

    I have downloaded several WordPress plugins for text expansion. However, none of them seem to have the one feature I need.

    I need to be able to click a link to expand the text, but when you click a different link, it closes the previous one as well... Are there any ways to do this? I don't know very much jquery, but this seems to be the favorable way to do it... Can anyone hold my hand a little here?

    http://beta.cleantelligent.com/benefits-test-mobility is the page with the current expander plugin activated. I'm currently using one called Expand +Collapse Funk.

    Any help here would be fantastic! Thanks!

  2. #2
    Join Date
    Jun 2013
    Posts
    38
    Okay, so I think I found one that will work. I installed "Collapse-O-Matic". The issue is that the plugin itself isn't working on my site.

    This seems to be a common error on the forums, but I've tried everything listed in those threads and it's still not working on my site.

    http://beta.cleantelligent.com/benefits-test-mobility

    I am thinking it's likely an error caused by my theme, as I tried a WP theme and it worked just fine.

    I can't find any conflicts in my console though... any help would be much appreciated. thanks!

    https://wordpress.org/plugins/jquery-collapse-o-matic/

  3. #3
    Join Date
    Jun 2013
    Posts
    38
    I am looking through my header file and I noticed multiple instances of calling jquery. Some are different versions, some are "custom" (whatever that means)

    Code:
    <script src="/wp-content/themes/cleantelligent/js/jquery.cycle.all.js" type="text/javascript"></script>
    <script src="/wp-content/themes/cleantelligent/js/jquery-ui-1.8.19.custom.min.js" type="text/javascript"></script>
    
    <script type='text/javascript' src='/wp-includes/js/jquery/jquery.js?ver=1.7.2'></script>
    <script type='text/javascript' src='/wp-includes/js/comment-reply.js?ver=3.4.2'></script>
    
    <script src="/wp-content/themes/cleantelligent/js/jquery.cycle.all.js" type="text/javascript"></script>
    <script src="/wp-content/themes/cleantelligent/js/jquery-ui-1.8.19.custom.min.js" type="text/javascript"></script>
    I'm guessing this is a problem, right?

    I'm a super newbie with jquery and I have no idea what I'm doing here. I'm guessing some of these scripts may have been placed here as part of a plugin for wordpress, or for something else entirely.

    Do I need multiple scripts for this? If I remove all but one, will it break some of my plugins? If anyone can explain to me how this works, I will be forever indebted to you. I am having a hard time understanding jquery.com.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
HTML5 Development Center



Recent Articles